/*
 * $Id: Constants.java 471754 2006-11-06 14:55:09Z husted $
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.struts.faces;


/**
 * <p>Global manifest constants for the
 * <em>Struts-Faces Integration Library</em>.</p>
 *
 * @version $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
 */

public final class Constants {


    // ----------------------------------------------------------- Constructors


    /**
     * <p>Protected constructor to disable instantiation.</p>
     */
    protected Constants() { }


    // ----------------------------------------------------- Manifest Constants


    /**
     * <p>Request attribute key under which the <code>ActionEvent</code>
     * from JavaServer Faces is recorded.
     */
    public static final String ACTION_EVENT_KEY =
        "org.apache.struts.faces.ACTION_EVENT";


}
